Update Tool
curl --request PATCH \
--url https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"url": "<string>",
"api_timeout": 2,
"parameters": {},
"use_raw_schema": true,
"static_params": {},
"speak_during_execution": true,
"speak_after_execution": true,
"async": true
}
'import requests
url = "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}"
payload = {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"api_timeout": 2,
"parameters": {},
"use_raw_schema": True,
"static_params": {},
"speak_during_execution": True,
"speak_after_execution": True,
"async": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
url: '<string>',
api_timeout: 2,
parameters: {},
use_raw_schema: true,
static_params: {},
speak_during_execution: true,
speak_after_execution: true,
async: true
})
};
fetch('https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"api_timeout": 123,
"parameters": {},
"use_raw_schema": true,
"static_params": {},
"speak_during_execution": true,
"speak_after_execution": true,
"async": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Tools
Update Tool
Update an existing tool. Only provided fields are updated.
PATCH
/
v1
/
bots
/
{bot_uid}
/
tools
/
{tool_id}
Update Tool
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Path Parameters
The unique identifier of the bot.
The numeric ID of the tool.
Body
application/json
The type of tool that determines its behavior and required configuration.
Available options:
api_request, function, end_call, transfer_call, dtmf, send_sms, send_email, call_booking, check_calendar_availability, check_working_hours Maximum string length:
255Available options:
get, post Required range:
x >= 1Response
Updated tool.
Unique numeric ID of the tool.
The type of tool that determines its behavior and required configuration.
Available options:
api_request, function, end_call, transfer_call, dtmf, send_sms, send_email, call_booking, check_calendar_availability, check_working_hours Was this page helpful?
⌘I